@echo off
rem ---------------------------------------------------------------
rem File:    VCADD.BAT
rem Purpose: Add a C source file to NLIB using Microsoft Visual C++
rem ---------------------------------------------------------------

if "%1" == "" goto usage
if not exist %1.c goto nofile

  copy nlib.h+%1.c _%1.c  
  cl /Za /c _%1.c
  if exist nlib_vc.lib  goto add

:new

  lib /OUT:nlib_vc.lib _%1.obj 
  goto finish

:add

  lib nlib_vc.lib _%1.obj 

:finish

  if exist _%1.c     del _%1.c
  if exist _%1.obj   del _%1.obj
  dir nlib_vc.lib
  goto quit

:usage

   echo -
   echo -  This batch file compiles a named .c program and adds it to  
   echo -  NLIB using the Microsoft Visual C++ compiler. Usage:
   echo -
   echo -     vcadd filename
   echo -
   goto quit

:nofile

  echo.
  echo The source file %1.c does not exist.
  echo. 
  goto quit 

:quit


