/* -------------------------------------------------------------- */
/* Example 2.4.2: LU Decomposition */
/* -------------------------------------------------------------- */
#include "c:\nlib\util.h"
int main (void)
{
   int          n = 3;
   vector	b = vec (n,"-4 9 0"),
		p = vec (n,""),
		x = vec (n,"");
   matrix 	A = mat (n,n,"0 1 -1, 2 -2 1, 1 2 0"),
		Q = mat (n,n,"");
   printf ("\nExample 2.4.2: LU Decomposition\n");		
   showmat ("A",A,n,n,0);
   showvec ("b",b,n,0);
   lufac (A,n,Q,p);
   showmat ("Q",Q,n,n,0);
   showvec ("p",p,n,0);
   lusub (Q,p,b,n,x);
   showvec ("x",x,n,0);
   return 0;
}
/* -------------------------------------------------------------- */

