/* -------------------------------------------------------------- */
/* Example 4.2.3: Condition Number of Vandermonde Matrix          */
/* -------------------------------------------------------------- */
#include "c:\nlib\util.h"
int main (void)
{
   int          n = 9,
		i,j;
   vector	c = vec (n,"");
   matrix	A = mat (n,n,"");
   FILE		*f = fopen ("data423.m","w");

   printf ("\nExample 4.2.3: Condition Number of Vandermonde Matrix\n");
   for (i = 0; i < n; i++)
      for (j = 0; j < n; j++)
         if (j == 0)
            A[i+1][j+1] = 1;
         else   
            A[i+1][j+1] = pow (i,j);
   showmat ("A",A,n,n,0);         
   for (i = 1; i <= n; i++)
   {
      c[i] = condnum (A,i,0);
      fprintf (f,"%i & %11.4e \\\\ \n",i,c[i]);
   }
   showvec ("cond(A)",c,n,0);
   return 0;
}
/* -------------------------------------------------------------- */
