/*------------------------------------------------------------------*/
/* Example 5.3.2: Contraction Mapping */
/*------------------------------------------------------------------*/
#define DISPLAY_ROOTS
#include "c:\nlib\util.h"

float f (float x)
{
   return (exp(x) + x - 2);
}	

int main (void)
{
   int		n = 100,
                ex = 0,
		i;
   float	x0 =0.5,
		eps = 1.e-6,
		beta = 1/(1 + exp(1)),
		x;

   printf ("\nExample 5.3.2: Contraction Mapping\n"); 		
   i = aitken (x0,beta,eps,n,ex,&x,f); 
   printf ("\nx = %.7f",x);
   printf ("\n|f(x)| = %.7f",fabs(f(x)));
   printf ("\nContraction iterations = %i\n",i);
   wait();
   return 0;
}
/*------------------------------------------------------------------*/

