/* -------------------------------------------------------------- */
/* Example 5.7.4: Laguerre's Method                               */
/* -------------------------------------------------------------- */
#include "c:\nlib\util.h"
int main (void)
{
   int         n = 5,
	       m = 20,
	       i;
   float       eps = 1.e-6;
   complex     x0 = {0,0},
	       x;
   vector      a = vec (n+1,"-75,-5,4,-4,-1,1");

   printf ("\nExample 5.7.4: Laguerre's Method\n");
   i = laguerre (x0,eps,m,a,n,&x);
   printf ("\nx = %.7f %+.7fj",x.x,x.y);
   printf ("\n|f(x)| = %.7f",cmag(cpoly(x,a,n)));
   printf ("\nLaguerre iterations = %i\n",i);
   wait();
   return 0;   
}
/* -------------------------------------------------------------- */
