/*------------------------------------------------------------------*/
/* Example 7.5.1: Romberg Integration */
/*------------------------------------------------------------------*/

#define DISPLAY_INTEG
#include "c:\nlib\util.h"

float	f (float x)
{
   return exp(x)/(exp(1) - 1);
}
	
int main (void)
{
   int		m = 5,
		j;
   float	a = 0,
		b = 1,
		eps = 0;
   printf ("\nExample 7.5.1: Romberg Integration\n");
   romberg (a,b,eps,m,&j,f);
   wait();
   return 0;
}
/*------------------------------------------------------------------*/
      
