/*------------------------------------------------------------------*/
/* Example 7.8.1: Two-Dimensional Integral                          */
/*------------------------------------------------------------------*/

#include "c:\nlib\util.h"

int       n;         /* Number of panels */
float     y;         /* parameter */

float   f (float x)
{
   return exp(-x*x)/(1 + pow(y,4));
}

float	g (float x)
{
   return simpson (0,1-x*x,n,f);
}

int main (void)
{
   int		N = 6,
                i;
   float        z;             
   printf ("\nExample 7.8.1: Two-Dimensional Integral\n");
   for (i = 1; i <= N; i++)
   {
      n = 10*i;
      z = simpson (-1,1,n,g);
      printf ("\n %8i & %12.7f & %8i \\\\",n,z,n*n);
   }
   wait();
   return 0;
}
/*------------------------------------------------------------------*/

