/* -------------------------------------------------------------- */
/* Example 2.5.5 Approximate Condition Number */
/* -------------------------------------------------------------- */
#include "c:\nlib\util.h"
int main (void)
{
   int          n = 2,
                i,j;
   float        a = 0,
                a1;
   vector       b1 = vec (n,"1 0"),
                x1 = vec (n,"");
   matrix       A  = mat (n,n,"100 -200  -200 401");

   printf ("\nExample 2.5.5: Apporoximate Condition Number\n");
   showmat ("A",A,n,n,0);
   for (i = 1; i <= n; i++)
   {
      a1 = 0;
      for (j = 1; j <= n; j++)
         a1 += fabs(A[i][j]);
      if (a1 > a)
         a = a1;
   }
   shownum ("||A||",a);
   ludec (A,b1,n,x1);
   shownum ("Approximate K(A)",a*(vecnorm(x1,n)/vecnorm(b1,n)));
   shownum ("Actual K(A)",condnum(A,n,0));
   return 0;
}
/* -------------------------------------------------------------- */

