/* -------------------------------------------------------------- */
/* Example 4.5.1: Straight Line Fit                               */
/* -------------------------------------------------------------- */
#include "c:\nlib\util.h"
int main (void)
{
   int          n = 5,
   		m = 10*n,
		i,j;
   float	a;
   vector       x = vec (n,"0 1 2 3 4"),
                y = vec (n,"2.10 2.85 3.10 3.20 3.90"),
                w = vec (n,"1 1 1 1 1");
   matrix	A = mat (3,2,""),
		X = mat (2,m,""),
   		Y = mat (2,m,"");

   printf ("\nExample 4.5.2: Straight Line Fit\n");		
   showvec ("x",x,n,0);
   showvec ("y",y,n,0);
   showvec ("w",w,n,0);
   polyfit (a,x,y,w,A,n,1,0); 
   for (i = 1; i <= m; i++)
   {
      a = x[1] + (i-1)*(x[n] - x[1])/(m-1);
      X[1][i] = a; 
      Y[1][i] = polyfit (a,x,y,w,A,n,1,1);
      j = MIN (i,n);
      X[2][i] = x[j];
      Y[2][i] = y[j];
   }
   graphmm (X,Y,2,m,"Straight Line Fit","x","y","fig452",1);
   wait();
   return 0;
}
/* -------------------------------------------------------------- */



