       %----------------------------------------------------------------
       % Example a1.4.1: Eigenvalues and Eigenvectors
       %----------------------------------------------------------------

       % Initialize 

       clc                     % clear command window
       clear                   % clear variables
       n = 4;                  % size of matrix 
       randinit(2000)          % select random sequence
       A = randu (n,n,-1,1);

       % Find eigenvalues and eigenvectors 

       fprintf ('Example a1.4.1: Eigenvalues and Eigenvectors\n');       
       show ('A',A)
       a = poly(A);
       show ('characteristic polynomial coefficients',a')
       c = eig (A);
       show ('eigenvalues',c)
       [X,C] = eig (A);
       show ('eigenvectors',X)
       t = abs(trace(A) - sum(c));
       show ('trace check',t)
       %----------------------------------------------------------------

