       %----------------------------------------------------------------
       % Example a1.6.1: Root Finding
       %----------------------------------------------------------------

       % Initialize

       clc                        % clear command window
       clear                      % clear variables
       a = 0;                     % lower limit
       b = 1;                     % upper limit 
       c = [1 1 -1];              % polynomial coefficients
       tol = 1.e-4;               % error tolerance 
       m = 100;                   % maximum iterations 
       f = inline ('1 - x - sqrt(x)','x');

       % Find roots

       fprintf ('Example a1.6.1: Root Finding\n'); 
       y = 100*bisect(a,b,tol,m,f);
       show ('Liquid level in cm = ',y)
       x = 100*roots(c).^2;
       show ('roots in cm',x)
       %----------------------------------------------------------------

