%------------------------------------------------------------------
% Example 5.8.1: Newton's vector method 
%------------------------------------------------------------------
   clc
   clear
   n = 3;
   m = 100;
   tol = 1.e-6;
   x = zeros(n,1);
   y = zeros(n,1);
   fprintf ('Example 5.8.1: Newton''s Vector Method\n');
   [x,i] = newton (x,tol,m,'funf581');
   fprintf ('\n\nx = [');
   for j = 1 : n-1
      fprintf ('%.7f, ',x(j));
   end
   fprintf ('%.7f]',x(n));
   y = funf581(x);
   fprintf ('\n||f(x)|| = %.7f',norm(y,inf));
   fprintf ('\nIterations using numerical Jacobian = %i\n',i);
   wait
%------------------------------------------------------------------


