function u = funp692 (x)
%------------------------------------------------------------------------
% Equality constraint function: Example 6.9.2 
%------------------------------------------------------------------------

   a = [2000,1200]';            % amount shipped 
   b = [800,1400,1000]';        % amount recieved 
   u = zeros(5,1);              % return column vector

% Shipping 

   u(1) = x(1) + x(2) + x(3) - a(1);
   u(2) = x(4) + x(5) + x(6) - a(2);
    
% Receiving 

   u(3) = x(1) + x(4) - b(1);
   u(4) = x(2) + x(5) - b(2);
   u(5) = x(3) + x(6) - b(3);


