%-----------------------------------------------------------------------
% Example 2.6.2 Gauss-Seidel Iterative Method
%-----------------------------------------------------------------------
   clc                 
   clear
   fprintf ('Example 2.6.2: Gauss-Seidel Iterative Method\n')
   A = [5 0 -2 ; 3 5 1 ; 0 -3 4];
   b = [7 ; 2 ; -4];
   n = 3;
   show ('A',A)
   show ('b',b)
   x = zeros(n,1);
   alpha = 1;
   fprintf ('\nk     x(1)       x(2)       x(3)     ||r(x)||\n');
   fprintf ('---------------------------------------------\n');
   for k = 0 : 9
      r = residual (A,b,x);
      fprintf ('%d %10.7f %10.7f %10.7f %10.7f\n',k,x,r);
      [x,j] = sr(x,A,b,alpha,0,1);
   end
   fprintf ('---------------------------------------------\n');
   wait      
%-----------------------------------------------------------------------

 
