%-----------------------------------------------------------------------
% Example 2.6.3 Successive Under-Relaxation Iterative Method
%-----------------------------------------------------------------------
   clc                 
   clear
   fprintf ('Example 2.6.3: Successive Under-Relaxation Method\n')
   A = [5 0 -2 ; 3 5 1 ; 0 -3 4];
   b = [7 ; 2 ; -4];
   n = 3;
   show ('A',A)
   show ('b',b)
   x = zeros(n,1);
   fprintf ('\n');
   fprintf ('k      0.7         0.8         0.9         1.0         1.1\n');
   fprintf ('-------------------------------------------------------------\n');
   for k = 0 : 9
      fprintf ('%d ',k);
      for j = 1 : 5
         alpha = 0.6 + j/10.0;
         x = zeros (n,1);
         if k > 0
            [x,i] = sr (x,A,b,alpha,0,k);
         end
         fprintf (' %10.7f ',residual(A,b,x));
      end
      fprintf ('\n');   
   end
   fprintf ('-------------------------------------------------------------\n');
   wait      
%-----------------------------------------------------------------------
 
