%-----------------------------------------------------------------------
% Example 3.3.2: Inverse Power Method 
%-----------------------------------------------------------------------

% Initialize 

   clc                              
   clear                            
   n = 4;
   m = 25;
   tol = 1.e-6;
   dir = -1;
   x = zeros (n,1);
   A = [-3.9 -0.6 -3.9 0.4; 1 0 0 0; 0 1 0 0; 0 0 1 0];

% Compute least dominant eigenvalue and eigenvector
   
   fprintf ('Example 3.3.1: Inverse Power Method\n');
   [c,x,k] = powereig (A,tol,m,dir);
   show ('A',A)
   show ('Inverse power method iterations',k)
   show ('c',c)
   show ('x',x)


