%-----------------------------------------------------------------------
% Example 3.4.1: Jacobi's Method
%-----------------------------------------------------------------------
   clc                              
   clear
   tol = 1.e-7;
   m = 25;
   A = [-1 2; 2 2];

   fprintf ('Example 3.4.1: Jacobi''s Method\n');
   show ('A',A)
   [c,X,r] = jacobi (A,tol,m);
   show ('Jacobi iterations',r);
   show ('Eigenvalues',c)
   show ('Eigenvectors',X)
   phi = atan2 (2*A(1,2),A(1,1)-A(2,2))/2;
   show ('phi',phi);
   R(1,1) = cos(phi);
   R(2,2) = cos(phi);
   R(1,2) = -sin(phi);
   R(2,1) = sin(phi);
   show ('R',R)
   show ('R''AR',R'*A*R)
%-----------------------------------------------------------------------
