%-----------------------------------------------------------------------
% Example 3.7.1: Eigenvectors
%-----------------------------------------------------------------------
   clc                              
   clear                            
   n = 4;
   m = 50;
   tol = 1.e-6;
   q = 0;
   A = [2 -1 3 4; 0 7 1 -6; 5 8 0 -3; 1 4 -3 9];  

   fprintf ('Example 3.7.1: Eigenvectors\n');
   show ('A',A)
   [X,C] = eig (A);
   c = diag(C);
   show ('eigenvalues',c)
   show ('eigenvectors',X)
   for j = 1 : n
      q = q + real(c(j)) - A(j,j);
   end
   fprintf ('\n\nTrace check = %.4g\n',abs(q));
   wait
%-----------------------------------------------------------------------


