%----------------------------------------------------------------------
% Example 4.2.3: Condition Number of Vandermonde Matrix          
%----------------------------------------------------------------------

% Initialize
 
   clc
   clear
   n = 9;
   c = zeros (n,1);
   A = zeros (n,n);

   fprintf ('\nExample 4.2.3: Condition Number of Vandermonde Matrix\n');
   for i = 0 : n-1
      for j = 0 : n-1
         if j == 0
            A(i+1,j+1) = 1;
         else   
            A(i+1,j+1) = i^j;
         end
      end
   end
   show ('A',A)         
   for i = 1 : n
      c(i) = condnum (A(1:i,1:i),0);
   end
   show ('cond(A)',c);
%----------------------------------------------------------------------

