%----------------------------------------------------------------------
% Example 4.2.4: Lagrange Interpolating Polynomials              
%----------------------------------------------------------------------

% Initialize
 
   clc
   clear
   m = 4;
   n = 10*m+1;
   u = [0 : m-1]';
   X = zeros (n,m+1);
   Y = zeros (n,m+1);

% Plot polynomials

   fprintf ('Example 4.2.4: Lagrange Interpolating Polynomials\n');		
   for i = 1 : m
      X(:,i) = linspace (u(1),u(m),n)';
      for j = 1 : n
         Y(j,i) = funf424 (X(j,i),u,i);
      end
      X(i,m+1) = i - 1;
   end
   graphxy (X,Y,'Lagrange Interpolaing Polynomials','x','y','s')
%----------------------------------------------------------------------




