%----------------------------------------------------------------------
% Example 4.5.3: Constant, Linear, and Quadratic Fits            
%----------------------------------------------------------------------

% Initialize
 
   clc
   clear
   n = 3;
   m = 10*n;
   x = [0 : 2]';
   y = [-3 -1 5]';
   X = zeros (m,n+1);
   Y = zeros (m,n+1);

% Find fits and plot

   fprintf ('Example 4.5.3: Constant, Linear and Quadratic Fits\n');
   for j = 1 : n
      X(:,j) = linspace (x(1),x(n),m)';
      a = polyfit (x,y,j-1);
      Y(:,j) = polyval (a,X(:,j));
   end
   for i = 1 : m
      k = min (i,n);
      X(i,n+1) = x(k);
      Y(i,n+1) = y(k);
   end
   graphxy (X,Y,'Constant, Linear and Quadratic Fits','x','y','s')
%----------------------------------------------------------------------




