%------------------------------------------------------------------
% Example 5.2.2: False Position Method                             
%------------------------------------------------------------------
   clc
   clear
   m = 100;
   E = 1.5;
   x0 = 0;
   x1 = E;
   tol = 1.e-5;
   fprintf ('Example 5.2.2: False Position Method\n');
   [x,k] = falsepos (x0,x1,tol,m,'funf521'); 
   fprintf ('\nx = %.7f',x);
   fprintf ('\n|f(x)| = %.7f',abs(funf521(x)));
   fprintf ('\nFalse position iterations = %g\n',k);
   wait
%------------------------------------------------------------------



