%------------------------------------------------------------------
% Example 5.3.3: Contraction Mapping with Aitken Extrapolation 
%------------------------------------------------------------------
   clc
   clear
   n = 100;
   ex = 1;
   x0 = 0.5;
   tol = 1.e-6;
   beta = 1/(1 + exp(1));
   fun532 = inline ('exp(x) + x - 2','x'); 
   fprintf ('Example 5.3.3: Contraction Mapping with Aitken Extrapolation\n');
   [x,k] = aitken (x0,beta,tol,n,ex,fun532); 
   fprintf ('\nx = %.7f',x);
   fprintf ('\n|f(x)| = %.7f',abs(fun532(x)));
   fprintf ('\nContraction iterations = %g\n',k);
   wait
%------------------------------------------------------------------


