%------------------------------------------------------------------
% Example 5.6.1: Newton's Method                                   
%------------------------------------------------------------------
   clc
   clear
   m = 100;
   n = 1;
   tol = 1.e-6;
   x = ones (n,1);
   y = zeros (n,1);
   fun561 = inline ('x(1)^2*exp(-x(1)/2) - 1','x');
   fprintf ('Example 5.6.1: Newton''s Method\n');
   [x,k] = newton (x,tol,m,fun561); 
   fprintf ('\nx = %.7f',x(1));
   y = fun561(x); 
   fprintf ('\n|f(x)| = %.7f',norm(y,inf));
   fprintf ('\nNewton iterations = %g\n',k);
   wait
%------------------------------------------------------------------


