%------------------------------------------------------------------
% Example 6.7.1: Penalty Functions 
%------------------------------------------------------------------
   clc
   clear
   p = 201;
   m = 4;
   a = 0.5;
   b = 3.0;
   c = 3.5;	
   mu = 1;
   x = zeros (p,1);
   Q = zeros (p,m);

% Construct Family of Penalty Functions for a <= x <= b 

   fprintf ('Example 6.7.1: Penalty Functions\n');
   for j = 1 : m
      mu = 2*mu;
      for i = 1 : p
         x(i) = c*(i - 1)/(p - 1);
         Q(i,j) = mu*(min(0,x(i)-a)^2 + min(0,b-x(i))^2);
      end
   end
   graphxy (x,Q,'Inequality Penalities','x','Q(x)')
%------------------------------------------------------------------

   


