function  y = funf424 (a,x,k)
%-------------------------------------------------------------- 
% Usage:       y = funf424 (a,x,k)
%
% Description: Evaluate kth Lagrange interpolating polynomial
%              at a.  Use the n by 1 data vector x.
%-------------------------------------------------------------- 
   y = 1;
   n = length (x);
   for i = 1 : n
      if i ~= k
         y = y*(a - x(i))/(x(k) - x(i));
      end
   end


