function y = funf794 (x)
%-----------------------------------------------------------------------
% Integrand for inertia of link of robotic arm in Example 7.9.4
%-----------------------------------------------------------------------
   global L r
   rho = 100;             % density 
   w   = 0.1;             % thickness 
   z = norm (x,2);
   y = x(1) - (L - 2*r(1));              
   if ((x(1) < 0) & (z > r(1))) | ...
       ((y > 0) & (y^2 + x(2)^2 > r(1)^2)) | ...
       (z < r(2))
      y = 0;
   else  
      y = rho*w*z^2;
   end

