function dx = funf894 (t,x)
%-----------------------------------------------------------------------
% Description: The Lorenz attractor, a chaotic system
%-----------------------------------------------------------------------
   sigma  = 10;
   lambda = 24;
   gamma  = 2;
   dx = [sigma*(x(2) - x(1));
         (1 + lambda - x(3))*x(1) - x(2);
         x(1)*x(2) - gamma*x(3) ];  

