function q = funf973 (x,y)
%-----------------------------------------------------------------------
% Description: Charge density for Example 9.7.3
%-----------------------------------------------------------------------
   global a b
   ep = 8.9e-12;	% permitivity of air (coul^2/N-m^2) 
   rho = 1.e-8; 	% charge 
   z = 0.03;
   if (abs(x-0.4*a) < z) & (abs(y - 0.4*b) < z)
      q = -rho/ep;
   elseif (abs(x-0.6*a) < z) & (abs(y - 0.6*b) < z)
      q = rho/ep;
   else
      q = 0;
   end
