%------------------------------------------------------------------------
% Problem 10.19
%------------------------------------------------------------------------
   clc
   clear
   N = 20;
   n = 2;
   m = 0;
   r = n + m + 1;
   theta = [-1 -1 1]';
   x = zeros (r,1);
   h = zeros (N,1);
   u = zeros (N,1);
   g = zeros (N-1,1);

% Find pulse response

   fprintf ('Problem 10.19\n');
   u(1) = 1;
   for i = 1 : N
      [x,h(i)] = arma (u(i),theta,x,n,m);
      if i > 1
         g(i-1) = h(i)/h(i-1);
      end
   end
   graphmat (g,'Fibbonaci Ratio','k','h(k)/h(k-1)')
   show ('Golden ratio',g(N-1))
%----------------------------------------------------------------
   


