%------------------------------------------------------------------------
% Problem 3.13
%------------------------------------------------------------------------
clc
clear
A = [5 4 3 2 1
     4 3 2 1 0
     3 2 1 0 -1
     2 1 0 -1 -2
     1 0 -1 -2 -3];
tol = 1.e-6;

% Find eigenvalue and eigenvector

fprintf ('Problem 3.13\n');
show ('A',A)
[c,x,k] = powereig (A,tol,50,1);
show ('Power method iterations',k)
show ('Dominant eigenvalue',c)
show ('Dominant eigenvector',x)
show ('Spectral radius',abs(c))
r = (c*eye(5) - A)*x;
show ('||r(x)||',norm(r,inf))

latex ('out','k',k)
latex ('out','c',c)
latex ('out','x1',x')
latex ('out','rho',abs(c))
latex ('out','||r||',norm(r,inf))

%------------------------------------------------------------------------

