%------------------------------------------------------------------------
% Problem 4.13
%------------------------------------------------------------------------
clc
clear
n = 5;
D = [1:n ; 1.84 0.91 0.45 0.26 0.13];

% Find least-squares exponentia fit

fprintf ('Problem 4.13\n');
[u,v] = expfit (D,n);
show ('[u,v]',[u,v]);

% Plot exponential curve and data

x = linspace (D(1,1),D(1,n),100);
y = u*exp(-v*x);
figure
plot (x,y,'-',D(1,:),D(2,:),'s')
xlabel ('x')
ylabel ('y')
title ('A Least-Squares Exponential Fit')
wait
%------------------------------------------------------------------------

