%------------------------------------------------------------------------
% Problem 6.12
%------------------------------------------------------------------------
clc
clear
tol = 1.e-3;
m = 250;
n = 4;
x0 = zeros(n,1);

% Find minimum using steepest descent and conjugate gradient

fprintf ('Problem 6.12\n');
fprintf ('Finding optimal x ...\n')
for v = 1 : n-1 : n
   [x,ev,j] = conjgrad (x0,tol,v,m,'funf612');
   show ('v',v);
   show ('x',x);
   show ('f(x)',funf612(x));
   show ('Iterations',j);
   show ('Function evaluations',ev);
   
   latex ('out','v',v)
   latex ('out','x',x)
   latex ('out','f(x)',funf612(x))
   latex ('out','iterations',j)
   latex ('out','function evaluations',ev)
      
end
wait
%------------------------------------------------------------------------

