%------------------------------------------------------------------------
% Problem 7.18
%------------------------------------------------------------------------
clc
clear
a = -1;
b = 1;
f = inline ('exp(sin(pi*x))','x');
g = fopen ('out','w');

% Evaluate integrals

fprintf ('Problem 7.18\n');
fprintf ('     n     midpoint    trapezoid      simpson\n\n');
for n = [2 4 8 16 32 64]
   y(1) = midpoint (a,b,n,f);
   y(2) = trapint  (a,b,n,f);
   y(3) = simpson  (a,b,n,f);
   fprintf ('%6g %12.6f %12.6f %12.6f\n',n,y(1),y(2),y(3));
   fprintf (g,'%6g & %12.6f & %12.6f & %12.6f \\\\ \n ',n,y(1),y(2),y(3));
end
fclose(g);
wait
%------------------------------------------------------------------------

