%------------------------------------------------------------------------
% Problem 9.12
%------------------------------------------------------------------------
   clc
   clear
   m = 50;                % t precision 		
   n = 39;                % x precision 
   c = [0 1];             % boundary condition type
   a = 5;                 % maximum x
   T = 30;                % maximum t  
   D = 0.201;             % diffusion coefficient
   f = inline ('(x - 2.5)^2','x');
   g = inline ('1*(k - 2) + 0*(k-1)','t','k');

% Find gamma

   fprintf ('Problem 9.12\n');
   dt = T/m;
   dx = a/(n+1);
   gamma = D*dt/(dx*dx);
   show ('gamma',gamma)

% Solve diffusion equation

   disp ('Solving diffusion equation ...') 
   [t,x,U] = heat1 (T,a,m,n,D,c,f,g);
   plotxyz (t,x,U,'Diffusion Equation Solution','t','x','u')
%-------------------------------------------------------------------


