function graphmat (Y,caption,xaxis,yaxis)
%----------------------------------------------------------------
% Usage:       graphmat (Y,caption,xaxis,yaxis)
%
% Description: Graph the columns of a matrix
%
% Inputs:      Y       = m by n matrix containing dependent 
%                        variables
%              caption = string containing graph title
%              xaxis   = string containing x-axis label
%              yaxis   = string containing y-axis label
%----------------------------------------------------------------
   figure
   zoom on
   box on
   plot (real(Y))
   title (caption)
   xlabel (xaxis)
   ylabel (yaxis)
   wait
%----------------------------------------------------------------

