function randinit (s)
%-----------------------------------------------------------------------
% Usage:       randinit (s)
%
% Description: Initialize the random number generator with a seed
%
% Inputs:      s = an integer seed which selects a random
%                  sequence.  If seed <= 0, a random seed
%                  based on the time of day is selected.
%-----------------------------------------------------------------------
   if s > 0
      rand ('state',s)
   else
      rand ('state',sum(100*clock))
   end
%-----------------------------------------------------------------------


