function t = useradd (u)
%----------------------------------------------------------------
% Usage:       t = useradd (u) 
%
% Description: Add script u to the list of user scripts t.
%              This script is used by browse.m
%----------------------------------------------------------------

   browse_u;
   userpath = which('browse_u');
   cmax = 70;
   [m,n] = size(nlib_user);
   if n == 0
      n = cmax;
   end
   nu = min(length(u),cmax);
   if u(nu-1) == '.'
      u(nu-1:nu) = blanks(2);
   end 
   nlib_user(m+1,1:nu) = u(1:nu);
   if nu < n
      nlib_user(m+1,nu+1:n) = blanks(n-nu);
   end
   f = fopen (userpath,'wt');
   fprintf (f,'nlib_user = [...');
   for i = 1 : m+1
      fprintf (f,'\n''%s''',nlib_user(i,:));
   end
   fprintf (f,'];\n');
   fclose(f);
   t = nlib_user;




