@echo off
rem ---------------------------------------------------------------
rem File:        BCADD.BAT
rem 
rem Description: Add a C source file to NLIB using the Borland C++
rem              command-line compiler bcc32.
rem ---------------------------------------------------------------

if "%1" == "" goto usage
if not exist %1.c goto nofile

  copy nlib.h+%1.c _%1.c  
  bcc32 -A -c -o%1 -e%1 _%1.c
  tlib nlib_bc -+%1.obj
  if exist _%1.c       del _%1.c
  if exist %1.obj      del %1.obj
  if exist nlib_bc.bak del nlib_bc.bak
  dir nlib_bc.lib
  goto quit

:usage

  echo -
  echo -  This batch file compiles a named .c program and adds it to  
  echo -  NLIB using the Borland C++ compiler, bcc32. Usage:
  echo -
  echo -     bcadd filename
  echo -
  goto quit

:nofile

  echo.
  echo The source file %1.c does not exist.
  echo. 
  goto quit 

:quit



