%-----------------------------------------------------------------
% Description: An array of strings that contains the names and
%              descriptions of the figures to be draws from
%              Chapters 1-10 and Appendix 2.
%-----------------------------------------------------------------
'fig162    Figure 1.6.2: Uniform Probability Density, Measured   '
'fig164    Figure 1.6.4: Gaussian Probability Density, Measured  '
'fig165    Figure 1.6.5: Two-Dimensional Gaussian Distribution   '
'fig182    Figure 1.8.2: Estimating PI by Throwing Darts         '
'fig183    Figure 1.8.3: Integrand for Example 1.8.2             '
'fig184    Figure 1.8.4: Monte Carlo Integration                 '
'                                                                '
'fig261    Figure 2.6.1   Optimal Relaxation Factor              '
'                                                                '
'fig411    Figure 4.1.1   Variation in Gravity with Latitude     '
'fig412    Figure 4.1.2   Daily Variation in Body Temperature    '
'fig422    Figure 4.2.2   Piecewise-Linear Fit                   '
'fig424    Figure 4.2.4   Quadratic Polynomial Fit               '
'fig425    Figure 4.2.5   Lagrange Interpolating Polynomials     '
'fig441    Figure 4.4.1   Higher-Order Polynomial Fit            '
'fig442    Figure 4.4.2   Cubic Spline Fit                       '
'fig452    Figure 4.5.2   Straight Line Fit                      '
'fig453    Figure 4.5.3   Constant, Linear and Quadratic Fits    '
'fig454    Figure 4.5.4   Least-Squares Fit with Noise           '
'fig462    Figure 4.6.2   Bilinear Interpolation, 81 points      '
'fig463    Figure 4.6.3   The Surface f(x,y), 8184 points        '
'fig471    Figure 4.7.1   Pressure-Temperature Curve Fit         '
'fig472    Figure 4.7.2   Bilinear Interpolation of Pond Depth   '
'fig474    Figure 4.7.4   Zener Diode Curve Fit with Splines     '
'fig476    Figure 4.7.6   Nonlinear Friction Model               '
'                                                                '
'fig511    Figure 5.1.1   Tunnel Diode I-V Characteristic        '
'fig513    Figure 5.1.3   Graphical Solution of Tunnel Diode     '
'fig522    Figure 5.2.2   The Function x^9 - 1                   '
'fig552    Figure 5.5.2   The Function x^2exp(-x/2) - 1          '
'fig592    Figure 5.9.2   The Error Surface g(x) = ||f(x)||^2    '
'fig594    Figure 5.9.4   The Oven Function f(x)                 '
'                                                                '
'fig632    Figure 6.3.2   Minimization of a Unimodal Function    '
'fig633    Figure 6.3.3   A Function with Local Extrema          '
'fig641    Figure 6.4.1   Objective with Ill-Conditioned Hessian '
'fig651    Figure 6.5.1   A Nonquadratic Objective Surface       '
'fig661    Figure 6.6.1   A Rational Polynomial Objective        '
'fig671    Figure 6.7.1   The Penalty Term in Example 6.7.1      '
'fig681    Figure 6.8.1   The Boltzmann Distribution             '
'fig683    Figure 6.8.3   The Objective Surface                  '
'fig684    Figure 6.8.4   Simulated Annealing Trajectory,g = 0.1 '
'fig692    Figure 6.9.2   Heat Exchanger Step Response           '
'fig695    Figure 6.9.5   Nonlinear V vs. I Characteristic       '
'fig696    Figure 6.9.6   Objective Function for Example 6.9.3   '
'                                                                '
'fig731    Figure 7.3.1   A Noise-Corrupted Signal               '
'fig732    Figure 7.3.2   Derivative of Noise-Corrupted Signal   '
'fig733    Figure 7.3.3   Derivative of Filtered Signal          '
'fig791    Figure 7.9.1   Pond Depth with Bilinear Interpolation '
'fig793    Figure 7.9.3   Voltage at Input Port                  '
'                                                                '
'fig831    Figure 8.3.1   Comparison of Runge-Kutta Methods      '
'fig832    Figure 8.3.2   Predator-Prey Population Levels        '
'fig841    Figure 8.4.1   Adaptive Step Size Control             '
'fig851    Figure 8.5.1   Solution of Linear System              '
'fig861    Figure 8.6.1   Three-Dimensional Linear System        '
'fig883    Figure 8.8.3   Nonlinear Boundary Value Problem       '
'fig892    Figure 8.9.2   Chemical Concentrations in Reactor     '
'fig894    Figure 8.9.4   Deflection of Cantilever Beam          '
'fig896    Figure 8.9.6   Oscillator Output vs. PLL Input        '
'fig897    Figure 8.9.7   Phase-Locked Loop Output               '
'fig898    Figure 8.9.8   The Lorenz Attractor: A Chaotic System '
'                                                                '
'fig924    Figure 9.2.4   Optimal Relaxation Factor              '
'fig925    Figure 9.2.5   Steady-State Temperature Distribution  '
'fig932    Figure 9.3.2   Heat Flow in a Thin Rod                '
'fig941    Figure 9.4.1   Plate Temperature (t = 500)            '
'fig942    Figure 9.4.2   Plate Temperature (t = 5000)           '
'fig951    Figure 9.5.1   Vibration of a String                  '
'fig961    Figure 9.6.1   Membrane Displacement (t = 0)          '
'fig962    Figure 9.6.2   Membrane Displacement (t = 0.9)        '
'fig963    Figure 9.6.3   Membrane Displacement (t = 1.8)        '
'fig971    Figure 9.7.1   Heated Flow in a Thin Insulated Rod    '
'fig972    Figure 9.7.2   Deflection of Rectangular Plate        '
'fig973    Figure 9.7.3   Electrostatic Potential due to Dipole  '
'fig974    Figure 9.7.4   Torsional Function of Twisted Bar      '
'                                                                '
'fig1021   Figure 10.2.1  A Signal and Its Samples               '
'fig1032   Figure 10.3.2  A Discrete-Time Signal x(k)            '
'fig1033   Figure 10.3.3  The Magnitude Spectrum of x(k)         '
'fig1042   Figure 10.4.2  The Received Signal x(k)               '
'fig1043   Figure 10.4.3  Normalized Cross Correlation (x and y) '
'fig1052   Figure 10.5.2  Input to Moving Average Filter         '
'fig1053   Figure 10.5.3  Output from Moving Average Filter      '
'fig1062   Figure 10.6.2  Fourier Series Approximation           '
'fig1063   Figure 10.6.3  Windows Sequences                      '
'fig1064   Figure 10.6.4  Magnitude Response with Hamming Window '
'fig1065   Figure 10.6.5  Magnitude Spectrum of White Noise      '
'fig1066   Figure 10.6.6  Magnitude Spectrum of Filter Output    '
'fig1072   Figure 10.7.2  A Two-Dimensional Signal z(k,i)        '
'fig1073   Figure 10.7.3  Two-Dimensional Magnitude Spectrum     '
'fig1082   Figure 10.8.2  Magnitude Responses (System and Model) '
'fig1083   Figure 10.8.2  Phase Responses (System and Model)     '
'fig1085   Figure 10.8.2  LMS Error Signal                       '
'fig1086   Figure 10.8.6  Time Responses (System and LMS Model)  '
'fig1092   Figure 10.9.2  Magnitude Response of Heat Exchanger   '
'fig1094   Figure 10.9.4  Response of MA Model Due to Wind       '
'fig1095   Figure 10.9.5  Magnitude Response of Band Pass Filter '
'fig1096   Figure 10.9.6  Samples of Helicopter Rotor Noise      '
'fig1097   Figure 10.9.7  Magnitude Spectrum of Helicopter Noise '
'                                                                '
'figa251   Figure A2.5.1   A Family of Curves                    '
'figa252   Figure A2.5.2   Plot of sin(r)/r                      '
'figa281   Figure A2.8.1   Least-Squares Fit                     '
'figa2101  Figure A2.10.1  Unconstrained Optimization            '
'figa2121  Figure A2.12.1  Limit Cycle of van der Pol Oscillator '
'figa2131  Figure A2.13.1  Steady-State Temperature              '
'figa2141  Figure A2.14.1  Pulse Response of Band Stop Filter    '
'figa2142  Figure A2.14.2  Magnitude Response of Band Stop Filter'
