%----------------------------------------------------------------
% Description: An array of strings that contains the names and
%              descriptions of the examples to be run and viewed
%              from Chapters 1-10 and Appendix 2.
%----------------------------------------------------------------
'e181     Example 1.8.1   Estimating PI by Throwing Darts       '
'e182     Example 1.8.2   Monte Carlo Integration               '
'                                                               '
'e222     Example 2.2.2   Gauss-Jordan Elimination              '
'e223     Example 2.2.3   Singular A                            '
'e225     Example 2.2.5   Matrix Inverse                        '
'e231     Example 2.3.1   Gaussian Elimination                  '
'e232     Example 2.3.2   Matrix Determinant                    '
'e241     Example 2.4.1   LU Factorization                      '
'e242     Example 2.4.2   LU Decomposition                      '
'e251     Example 2.5.1   Ill Conditioning                      '
'e252     Example 2.5.2   Norms                                 '
'e253     Example 2.5.3   Condition Number                      '
'e254     Example 2.5.4   Equilibration                         '
'e255     Example 2.5.5   Approximate Condition Number          '
'e261     Example 2.6.1   Jacobi Iterative Method               '
'e262     Example 2.6.2   Gauss-Seidel Iterative Method         '
'e263     Example 2.6.3   Successive Under-Relaxation Method    '
'e264     Example 2.6.4   Successive Over-Relaxation Method     '
'e271     Example 2.7.1   Chemical Absorption Process           '
'e272     Example 2.7.2   Planar Truss                          '
'e273     Example 2.7.3   DC Bridge Circuit                     '
'e274     Example 2.7.4   Mass-Spring-Damper System             '
'                                                               '
'e322     Example 3.2.2   Characteristic Polynomial             '
'e331     Example 3.3.1   Power Method                          '
'e332     Example 3.3.2   Inverse Power Method                  '
'e341     Example 3.4.1   Jacobi Method                         '
'e351     Example 3.5.1   Householder                           '
'e361     Example 3.6.1   QR Method                             '
'e371     Example 3.7.1   Eigenvectors                          '
'e391     Example 3.9.1   Chemical Absorption Transients        '
'e392     Example 3.9.2   Population Growth Model               '
'e393     Example 3.9.3   Telescope Position Control            '
'e394     Example 3.9.4   Rotating Masses and Torsional Springs '
'                                                               '
'e411     Example 4.1.1   Variation in Gravity with Latitude    '
'e412     Example 4.1.2   Circadian Rhythm in Body Temperature  '
'e421     Example 4.2.1   Piecewise-Linear Fit                  '
'e422     Example 4.2.2   Quadratic Polynomial Fit              '
'e423     Example 4.2.3   Condition Number of Vandermonde Matrix'
'e424     Example 4.2.4   Lagrange Interpolating Polynomials    '
'e441     Example 4.4.1   Polynomial Fit                        '
'e442     Example 4.4.2   Cubic Spline Fit                      '
'e451     Example 4.5.1   Straight Line Fit                     '
'e453     Example 4.5.3   Constant, Linear and Quadratic Fits   '
'e454     Example 4.5.4   Least-Squares Fit with Noise          '
'e461     Example 4.6.1   Bilinear Interpolation                '
'e471     Example 4.7.1   Pressure-Temperature Curves           '
'e472     Example 4.7.2   Water Resource Management             '
'e473     Example 4.7.3   Voltage Regulator Circuit             '
'e474     Example 4.7.4   Nonlinear Friction Model              '
'                                                               '
'e521     Example 5.2.1   Bisection Method                      '
'e522     Example 5.2.2   False Position Method                 '
'e532     Example 5.3.2   Contraction Mapping Method            '
'e533     Example 5.3.3   Aitken Extrapolation                  '
'e541     Example 5.4.1   Secant Method                         '
'e551     Example 5.5.1   Muller Method                         '
'e561     Example 5.6.1   Newton Method                         '
'e571     Example 5.7.1   Quadratic Formula                     '
'e575     Example 5.7.5   Polynomial Roots                      '
'e591     Example 5.9.1   Propane Cylinder                      '
'e592     Example 5.9.2   Bacterial Chemostat                   '
'e593     Example 5.9.3   Industrial High-Temperature Oven      '
'e594     Example 5.9.4   Suspension Cable                      '
'                                                               '
'e631     Example 6.3.1   Golden Section Search                 '
'e641     Example 6.4.1   Steepest Descent                      '
'e651     Example 6.5.1   Conjugate Gradient                    '
'e661     Example 6.6.1   Davidon-Fletcher-Powell               '
'e671     Example 6.7.1   Penalty Functions                     '
'e672     Example 6.7.2   Constrained Minimization              '
'e681     Example 6.8.1   Simulated Annealing                   '
'e691     Example 6.9.1   Heat Exchanger                        '
'e692     Example 6.9.2   Transportation Planning               '
'e693     Example 6.9.3   Maximum Power Extraction              '
'e694     Example 6.9.4   Container Design                      '
'                                                               '
'e721     Example 7.2.1   Step Size Selection                   '
'e731     Example 7.3.1   Derivative of Noisy Data              '
'e732     Example 7.3.2   Derivative of Filtered Noisy Data     '
'e741     Example 7.4.1   Newton-Cotes                          '
'e751     Example 7.5.1   Romberg                               '
'e771     Example 7.7.1   End Point Singularity                 '
'e772     Example 7.7.2   Infinite Limit of Integration         '
'e782     Example 7.8.2   Monte Carlo Integration               '
'e791     Example 7.9.1   Change in Enthalpy                    '
'e792     Example 7.9.2   Dam Design                            '
'e793     Example 7.9.3   RC Network                            '
'e794     Example 7.9.4   Link of Robotic Arm                   '
'                                                               '
'e831     Example 8.3.1   Comparison of Runge-Kutta Methods     '
'e832     Example 8.3.2   Predator-Prey Population Levels       '
'e841     Example 8.4.1   Adaptive Step Size Control            '
'e851     Example 8.5.1   Solution of Linear System             '
'e861     Example 8.6.1   Three-Dimensional Linear System       '
'e881     Example 8.8.1   Solution to a Nonlinear BVP           '
'e892     Example 8.9.2   Chemical Concentrations in Reactor    '
'e894     Example 8.9.4   Deflection of Cantilever Beam         '
'e896     Example 8.9.6   Oscillator Output vs PLL Input        '
'e897     Example 8.9.7   Phase-Locked Loop Output              '
'e898     Example 8.9.8   The Lorenz Attractor: A Chaotic System'
'                                                               '
'e922     Example 9.2.2   Steady-State Temperature              '
'e934     Example 9.3.4   Heat Flow in a Rod                    '
'e941     Example 9.4.1   Heat Flow in a Plate                  '
'e953     Example 9.5.3   Vibrating String                      '
'e961     Example 9.6.1   Vibrating Membrane                    '
'e971     Example 9.7.1   Heated Rod                            '
'e972     Example 9.7.2   Plate Deflection                      '
'e973     Example 9.7.3   Electrostatic Field                   '
'e974     Example 9.7.4   Twisted Bar                           '
'                                                               '
'e1041    Example 10.4.1  Target Detection                      '
'e1052    Example 10.5.2  Convolution                           '
'e1061    Example 10.6.1  FIR Filter Design                     '
'e1071    Example 10.7.1  Two-Dimensional FFT                   '
'e1081    Example 10.8.1  ARMA Model                            '
'e1082    Example 10.8.2  LMS Method                            '
'e1091    Example 10.9.1  Heat Exchanger Frequency Response     '
'e1092    Example 10.9.2  Flag Pole Motion                      '
'e1093    Example 10.9.3  Band Pass Filter                      '
'e1094    Example 10.9.4  Helicopter Noise                      '
'                                                               '
'a231     Example A2.3.1  Random Vector                         '
'a232     Example A2.3.2  Matrix Output                         '
'a233     Example A2.3.3  Vector Range                          '
'a234     Example A2.3.4  Complex Numbers                       '
'a235     Example A2.3.5  Random Numbers                        '
'a241     Example A2.4.1  Console Display                       '
'a242     Example A2.4.2  Hard Copy                             '
'a251     Example A2.5.1  Graph                                 '
'a252     Example A2.5.2  Surface Plot                          '
'a261     Example A2.6.1  Linear Algebraic Systems              '
'a271     Example A2.7.1  Eigenvalues and Eigenvectors          '
'a281     Example A2.8.1  Curve Fitting                         '
'a291     Example A2.9.1  Root Finding                          '
'a2101    Example A2.10.1 Optimization                          '
'a2111    Example A2.11.1 Integration                           '
'a2121    Example A2.12.1 Ordinary Differential Equations       '
'a2131    Example A2.13.1 Partial Differential Equations        '
'a2141    Example A2.14.1 Digital Signal Processing             '


