     /* -------------------------------------------------------------- */
     /* Example A2.5.1: Graph Family of Curves */
     /* -------------------------------------------------------------- */
     #include "c:\nlib\util.h"
     int main (void)
     {
        int          n = 50,         /* points */	
                     m = 6,          /* curves */ 
                     i,j;
        vector       x = vec (n,"");
        matrix       Y = mat (m,n,"");
        printf ("\nExample A2.5.1: Graph a Family of Curves\n");
        for (j = 1; j <= n; j++)
        {
           x[j] = 5.0*(j-1)/(n-1);	
           for (i = 1; i <= m; i++)
              Y[i][j] = i*x[j]*exp(-m*x[j]/i);
        }
        graphxm  (x,Y,m,n,"A Family of Curves","x","y","figa251");
        wait();
        return 0;
     }
     /* -------------------------------------------------------------- */
