/* -------------------------------------------------------------- */
/* Example 2.2.2: Gauss-Jordan Elimination */
/* -------------------------------------------------------------- */
#include "c:\nlib\util.h"
int main (void)
{
   int          n=3;
   vector	b = vec (n,"2 -1 6"),
   		x = vec (n,"");
   matrix 	A = mat (n,n," 1 -1 0  -2 2 -1  0 1 -2");
   printf ("\nExample 2.2.2: Gauss-Jordan Elimination\n"); 
   showmat ("A",A,n,n,0);
   showvec ("b",b,n,0);
   if (ludec(A,b,n,x))
      showvec ("x",x,n,0);
   else
      printf ("\nA is singular.\n"); 
   return 0;
}   
/* -------------------------------------------------------------- */

