/*------------------------------------------------------------------*/
/* Example 3.3.1: Power method */
/*------------------------------------------------------------------*/
#include "c:\nlib\util.h"
int main (void)
{
   int		n = 4,
		m = 25,
		i;
   float	tol = 1.e-6,
		mu,a;
   vector	x = vec (n,"");
   matrix	A = mat (n,n,
                    "-3.9,-0.6,-3.9,0.4 1,0,0,0 0,1,0,0 0,0,1,0"); 
   printf ("\nExample 3.3.1: Power Method\n");
   i = powereig (A,n,tol,m,1,&mu,x);
   showmat ("A",A,n,n,0);
   shownum ("power method iterations",i);
   printf ("\nmu = %.7f",mu);
   showvec ("x",x,n,0);
   return 0;
}
/*------------------------------------------------------------------*/

