/* -------------------------------------------------------------- */
/* Example 3.6.1: QR method */
/* -------------------------------------------------------------- */
#include "c:\nlib\util.h"
int main (void)
{
   int          n = 4,
		m = 1000,
		i;
   float        tol = 1.e-6;
   cvector	c = cvec (n,"");
   matrix	A = mat (n,n,
                    "-3.9,-0.6,-3.9,0.4 1,0,0,0 0,1,0,0 0,0,1,0");
   printf ("\nExample 3.6.1: QR Method\n");
   showmat ("A",A,n,n,0);
   shownum ("QR iterations",qr(A,n,m,tol,c)); 
   showcvec ("eigenvalues",c,n,0);
   printf ("\n k        lambda[k]");
   printf ("\n---------------------------");   
   for (i = 1;i <= n; i++) 
      printf ("\n%2i & %10.7f %+10.7fj \\\\",i,c[i].x,c[i].y);
   printf ("\n---------------------------");   
   wait();
   return 0;
} 
/* -------------------------------------------------------------- */

