/*------------------------------------------------------------------*/
/* Example 5.2.1: Bisection Method                                  */
/*------------------------------------------------------------------*/
#include "c:\nlib\util.h"
#include "funf521.c"
int main (void)
{
   int		m = 100,
		i; 
   float        E = 1.5,
		x0 = 0,
		x1 = E,
		eps = 1.e-5,
		x;	

   printf ("\nExample 5.2.1: Bisection Method\n");	 
   i = bisect (x0,x1,eps,m,&x,funf521); 
   printf ("\nx = %.7f",x);
   printf ("\n|f(x)| = %.7f",fabs(funf521(x)));
   printf ("\nBisection iterations = %i\n",i);
   wait();
   return 0;
}
/*------------------------------------------------------------------*/


