/*------------------------------------------------------------------*/
/* Example 5.4.1: Secant method */
/*------------------------------------------------------------------*/
#include "c:\nlib\util.h"

float f(float x)
{
   return (x*x*exp(-x/2) - 1);
}	

int main (void)
{
   int		m = 100,
		i; 
   float	x0 = 0.0,
		x1 = 2.0,
		eps = 1.e-6,
		x;
   printf ("\nExample 5.4.1: Secant Method\n");
   i = secant (x0,x1,eps,m,&x,f); 
   printf ("\nx = %.7f",x);
   printf ("\n|f(x)| = %.7f",fabs(f(x)));
   printf ("\nSecant iterations = %i\n",i);
   wait();
   return 0;
}
/*------------------------------------------------------------------*/

