/* -------------------------------------------------------------- */
/* Example 5.7.5: Polynomial Roots, Laguerre's method             */
/* -------------------------------------------------------------- */
#include "c:\nlib\util.h"
int main (void)
{
   int         n = 5,
	       m = 20,
	       k,i;
   float       eps = 1.e-6;
   vector      a = vec (n+1,"-75,-5,4,-4,-1,1");
   cvector     x = cvec (n,"");	

   printf ("\nExample 5.7.5: Polynomial Roots, Laguerre's Method\n");
   i = polyroot (a,eps,n,m,x);
   for (k = 1; k <= n; k++) 
      printf ("\n %i & %10.7f %+10.7fj, & %10.7f \\\\",k,x[k].x,
               x[k].y,cmag(cpoly(x[k],a,n)));
   printf ("\nMaximum Laguerre iterations = %i\n",i);
   wait();
   return 0;
}
/* -------------------------------------------------------------- */
