/*------------------------------------------------------------------*/
/* Example 7.7.2: Infinite Limit of Integration                     */
/*------------------------------------------------------------------*/

#include "c:\nlib\util.h"

float	f (float x)
{
   return 4/(PI*(4 + x*x));
}

float	g (float z)
{
   return 4/(PI*(1 + 4*z*z));
}
	
int main (void)
{
   int		N = 9,
		n;
   float	a = 0,
		b = 1,
		y;

   printf ("\nExample 7.7.2: Infinite Limit of Integration\n");
   for (n = 1; n <= N; n++)
   {
      y = gausquad(a,b,n,f) + gausquad(a,b,n,g); 
      printf ("\n %5i & %12.7f & %12.7f \\\\",n,y,100*(y-1));
   }
   wait();
   return 0;
}
/*------------------------------------------------------------------*/

      
