/*------------------------------------------------------------------*/
/* File:        funf521.c
   Description: Tunnel diode dircuit */
/*------------------------------------------------------------------*/
float funf521 (float x)
{
   float	a = 2*PI,
		b = 1.2,
                E = 1.5,
                R = 1,	
                y = R*(sin(a*x) + exp(b*x) - 1) + x - E;
   return y;
}
/*------------------------------------------------------------------*/

