/*------------------------------------------------------------------*/
/* Nonlinear I-V Characteristic for Resistor used in Sec 6.9.3 */
/*------------------------------------------------------------------*/
	
float funr693 (float i) {
   float 	alpha = 10,
   		beta = 1,
   		v;
   v = (float) (alpha*(1 - exp(-beta*i))/(1 + exp(-beta*i)));
   return v;
}




