       %----------------------------------------------------------------
       % Example a1.2.3: Surface Plot 
       %----------------------------------------------------------------
       clc                          % clear command window
       clear                        % clear variables
       d = 10;                      % plot range
       n = 90;                      % number of points
       fprintf ('Example a1.2.3: Surface Plot\n');
       x = linspace(-d,d,n)';
       y = x;
       for i = 1 : n
          for j = 1 : n 
             r = sqrt (x(i)^2 + y(j)^2) + eps; 
             Z(i,j) = sin(r)/r;
          end
       end
       plotxyz (x,y,Z,'sin(r)/r','x','y','z')
       %----------------------------------------------------------------

