      %------------------------------------------------------------------
      % Example a1.9.1: Ordinary Differential Equations
      %------------------------------------------------------------------

         clc                  % clear command window
         clear                % clear variables
         n = 2;               % number of equations            
         m = 500;             % number of solution points 
         b = 20;              % final time
         tol = 1.e-5;         % error bound
         q = 12000;           % maximum function evaluations 
         x0 = [0.5 0]';       % initial state  
	
      % Solve system from x = x0 using rkf

         fprintf ('Example a1.9.1: Ordinary Differential Equations\n'); 
         [t,X,e,k] = rkf (x0,0,b,m,tol,q,'funa191');
         graphxy (t,X,'Solution Trajectories','t','x(t)')
         graphxy (X(:,1),X(:,2),'Limit Cycle','x_1','x_2') 
      %------------------------------------------------------------------






