%-----------------------------------------------------------------------
% Example 2.6.1 Jacobi's Iterative Method
%-----------------------------------------------------------------------
   clc                 
   clear
   fprintf ('Example 2.6.1: Jacobi Iterative Method\n')
   A = [5 0 -2 ; 3 5 1 ; 0 -3 4];
   b = [7 ; 2 ; -4];
   n = 3;
   show ('A',A)
   show ('b',b)
   x = zeros(n,1);
   fprintf ('\nk     x(1)       x(2)       x(3)     ||r(x)||\n');
   fprintf ('---------------------------------------------\n');
   for k = 0 : 9
      r = residual (A,b,x);
      fprintf ('%d %10.7f %10.7f %10.7f %10.7f\n',k,x,r);
      y = x;
      for i = 1 : n
         d = A(i,i);
         x(i) = b(i)/d;
         for j = 1 : n
      	    if j ~= i
      	       x(i) = x(i) - A(i,j)*y(j)/d;
             end
          end
      end   
   end
   fprintf ('---------------------------------------------\n');
   wait      
 %-----------------------------------------------------------------------
