%-----------------------------------------------------------------------
% Example 2.6.4 Successive Over-Relaxation Iterative Method
%-----------------------------------------------------------------------
   clc                 
   clear
   fprintf ('Example 2.6.4: Successive Over-Relaxation Method\n')
   A = [1 2 3 ; 2 9 6 ; 3 6 27];
   b = [2 ; -4 ; 24];
   n = 3;
   p = 39;
   m = 1000;
   tol = 1.e-5;
   show ('A',A)
   show ('b',b)
   hbar = waitbar(0,'Successive Relaxation');
   for i = 1 : p
      waitbar (i/p);
      a(i) = 0.05 + (i-1)/20.0;
      x = zeros (n,1);
      [x,y(i)] = sr (x,A,b,a(i),tol,m);
   end
   close (hbar);
   show ('x',x)
   graphxy (a,y,'','\alpha','N')
%-----------------------------------------------------------------------
  
