%----------------------------------------------------------------------
% Example 4.1.2: Circadian Rhythm in Body Temperature            
%----------------------------------------------------------------------

% Initialize
 
   clc
   clear
   data412               % Get data x,y
   n = length(x);
   m = 10*n; 
   X = zeros (m,2);
   Y = zeros (m,2);

% Perform cubic spline fit and plot

   fprintf ('Example 4.1.2: Circadian Rhythm in Body Temperature\n');
   show ('x',x)
   show ('y',y)
   X(:,1) = linspace (x(1),x(n),m)';
   Y(:,1) = spline (x,y,X(:,1));
   for i = 1 : m
      j = min (i,n);
      X(i,2) = x(j);
      Y(i,2) = y(j);
   end
   graphxy (X,Y,'Circadian Rhythm in Body Temperature',...
            'time (hr.)','temperature (^oF)','s');
%----------------------------------------------------------------------


