%----------------------------------------------------------------------
% Example 4.2.2: Quadratic Polynomial Fit 
%----------------------------------------------------------------------

% Initialize
 
   clc
   clear
   n = 3;
   m = 10*n+1;
   x = [0 : 2]';
   y = [6 0 2]';
   X = zeros (m,2);
   Y = zeros (m,2);

% Find fit and plot

   fprintf ('\nExample 4.2.2: Quadratic Polynomial Fit\n');
   show ('x',x)
   show ('y',y) 
   a = polyfit (x,y,n-1);
   X(:,1) = linspace (x(1),x(n),m)';
   Y(:,1) = polyval (a,X(:,1));
   for i = 1 : m
      j = min (i,n);
      X(i,2) = x(j);
      Y(i,2) = y(j);
   end
   graphxy (X,Y,'Quadratic Polynomial Fit','x','y','s')
%----------------------------------------------------------------------

