%------------------------------------------------------------------
% Example 5.4.1: Secant Method 
%------------------------------------------------------------------
   clc
   clear
   f = inline ('x*x*exp(-x/2)-1','x');
   m = 100;
   x0 = 0.0;
   x1 = 2.0;
   tol = 1.e-6;
   fprintf ('Example 5.4.1: Secant Method\n');
   [x,k] = secant (x0,x1,tol,m,f); 
   fprintf ('\nx = %.7f',x);
   fprintf ('\n|f(x)| = %.7f',abs(f(x)));
   fprintf ('\nSecant iterations = %g\n',k);
   wait
%------------------------------------------------------------------

