%------------------------------------------------------------------
% Example 5.5.1: Muller Method 
%------------------------------------------------------------------
   clc
   clear
   f = inline('x^2*exp(-0.5*x) - 1','x');
   m = 100;
   x0 = 2;
   x1 = 6;
   x2 = 10;
   tol = 1.e-6;
   fprintf ('Example 5.5.1: Muller Method\n');
   [x,i] = muller (x0,x1,x2,tol,m,f);
   fprintf ('\nx = %.7f',x);
   fprintf ('\n|f(x)| = %.7f',abs(f(x)));
   fprintf ('\nMuller iterations = %g\n',i);
   wait;
%------------------------------------------------------------------

