%------------------------------------------------------------------
% Example 8.8.1: Boundary Value Problem  
%------------------------------------------------------------------
   clc
   clear
   n     = 3;
   m     = 25;
   alpha = 0;	
   beta  = 1.0;
   a     = 2.0;
   b     = -1;
   tol   = 0;
   x     = zeros (m+2,1);
   Y     = zeros (m+2,n);
   g     = inline ('sin(pi*x) - 6*y^2*dy','x','y','dy');

% Solve boundary value problem 

   fprintf ('Example 8.8.1: Boundary Value Problem\n\n');
   for k = 1 : n
      fprintf ('Solving system using %g iterations.\n',k);
      [x,Y(:,k),r] = bvp (alpha,beta,a,b,tol,m,k,g);
   end
   graphxy (x,Y,'Boundary Value Problem','x','y')
%------------------------------------------------------------------

   



   
