function dx = funf832(t,x)
%------------------------------------------------------------------
% Description: Predator-prey equations, Example 8.3.2 
%------------------------------------------------------------------
   b1 = 1;
   b2 = 1;
   c1 = 1;
   c2 = 1;
   dx = zeros(2,1);  % column vector
   dx(1) = ( b1 - c1*x(2))*x(1);
   dx(2) = (-b2 + c2*x(1))*x(2);
