function dx = funf851(t,x) 
%------------------------------------------------------------------
% Description: Two-dimensional system with solution
%              x(t) = [t,1-t]*exp(-t) when x(0) = [0,1].
%              Example 8.5.1  
%------------------------------------------------------------------
   dx = zeros(2,1);              % column
   dx(1) = x(2);
   dx(2) = -x(1) - 2*x(2);


