function dx = funf892 (z,x)
%-----------------------------------------------------------------------
% Description: Cantilever beam, Example 8.9.2
%-----------------------------------------------------------------------
   global L            % length of beam 
   rho = 10;	       % linear mass density (kg/m) 
   g   = 9.81;	       % acceleration due to gravity (m/s^2) 
   EJ  = 2400;	       % moment of inertia * Young's modulus 
   dx = [ x(2);
         -(g*rho/EJ)*(1+x(1)*x(1))^(1/3)*(z*(z-L/2) + L*L/2) ];

   
