function dx = funf812 (t,x)
%------------------------------------------------------------------------
% Problem 8.12: Satellite equations
%------------------------------------------------------------------------
   
   dx = zeros (3,1);   % column vector
   J   = [1 3 2];
   tau = exp(-t)*[2 0 t];
   dx(1) = ((J(2) - J(1))*x(2)*x(3) + tau(1))/J(1);
   dx(2) = ((J(3) - J(1))*x(3)*x(1) + tau(2))/J(2);
   dx(3) = ((J(1) - J(2))*x(1)*x(2) + tau(3))/J(3);
 
