%------------------------------------------------------------------------
% Problem 2.29
%------------------------------------------------------------------------
clc
clear
A = [10 1 -1 2 0 
     0 -12 2 -3 1
     2 -2 -11 0 1
     4 0 1 8 -1
     -3 1 2 0 9 ];
b = [19 2 13 -7 -9]';
n = size (A,1);
m = 6;

% Solve system using Jacobi's method

fprintf ('Problem 2.29\n');
show ('A',A)
show ('b',b)
r = zeros(m,1);
for i = 1 : 6
   x = zeros(n,1);
   [x,k] = jac (x,A,b,0,n,i);
   r(k) = residual (A,b,x);
end
show ('x',x);
show ('||r(x)||',r)

latex ('out','x',x);
latex ('out','||r||',r);

%------------------------------------------------------------------------

