%------------------------------------------------------------------------
% Problem 4.15
%------------------------------------------------------------------------
clc
clear
a = -4;
b = 4;
n = 9;

% Find least squares polynomial 

fprintf ('Problem 4.15\n');
k = 1 : n;
r = cos((2*k-1)*pi/(2*n));
x = ((b - a)*r + a + b)/2;
y = 1 ./ (1 + x .* x);
c = polyfit (x,y,n-1);
show ('coefficients',c');

% Plot polynomial and data

x1 = linspace (a,b,100);
y1 = polyval (c,x1);
figure
plot (x1,y1,'-',x,y,'s')
xlabel ('x')
ylabel ('y')
title ('Polynomial Fit with Chebyshev Roots')
wait

latex ('out','coefficients',c)

%------------------------------------------------------------------------

