%------------------------------------------------------------------------
% Problem 9.14
%------------------------------------------------------------------------
   clc
   clear
   a = 4;            % string length
   T = 4;            % maximum t  
   m = 40;           % t precision 		
   n = 19;           % x precision 
   beta = 4;         % gain 
   f = inline ('sin(pi*x/4)','x');
   g = inline ('0','x');

% Find gamma 

   fprintf ('Problem 9.14\n');
   dt = T/m;
   dx = a/(n+1);
   gamma = beta*dt*dt/(dx*dx);
   show ('gamma',gamma);

% Solve wave equation 

   disp ('Solving wave equation ...');      
   [t,x,U] = wave1 (T,a,m,n,beta,f,g);
   plotxyz (t,x,U,'Elastic String','t','x','u');
%-------------------------------------------------------------------


   


