function chkvec (x,k,f)
%----------------------------------------------------------------
% Usage:       chkvec (x,k,f)
%
% Description: check argument x to see that it is a column vector.  
%              If not, print a warning message and return false.
%
% Inputs:      x = matrix to be checked.
%              k = argument number
%              f = string containing name of function 
%----------------------------------------------------------------
   n = size(x,2);
   if n ~= 1
      t = sprintf ('Error in calling %s',f);
      w = sprintf ('Argument %g must be a column vector.',k);
      herr = errordlg (w,t);
      wait
      close(herr)
   end
%----------------------------------------------------------------


