%-------------------------------------------------------------------
% Usage:       setup
%
% Description: This is a TEMPORARY version of the NLIB installation 
%              that allows one to evaluate the Matlab version of 
%              NLIB by running NLIB directly form the zip disk 
%              without installing it on a hard drive.
%-------------------------------------------------------------------

    clear
    clc
    fprintf ('This is a PRELIMINARY evaluation version of the NLIB\n'); 
    fprintf ('software that is intended to run directly from the zip\n');
    fprintf ('disk using Matlab.  No installation to a hard disk is\n');
    fprintf ('required and no setup.exe is supplied with this version.\n');
    fprintf ('\nPress any key to continue ...\n');
    pause

% Select drive containing NLIB

    drivelist = {'A','B','C','D','E','F','G','H','I','J','K','L','M'};
    drivenum = 4;
    drivenum  = listdlg('PromptString',...
                        'Select zip disk drive letter',...
                        'SelectionMode','single',...
                        'ListString',drivelist,...
                        'InitialValue',drivenum);

% Update path

    drive = char(abs('A') + drivenum-1);
    s = sprintf ('%c:\\book3\\nlib\\toolbox',drive);
    path(path,s)               % add NLIB toolbox to path
    s = sprintf ('%c:\\book3\\nlib\\exam_mat',drive);
    path(path,s)               % add NLIB examples to path
    s = sprintf ('%c:\\book3\\nlib\\prob_mat',drive);
    path(path,s)               % add NLIB problems to path
    s = sprintf ('%c:\\book3\\nlib\\user_mat',drive);
    path(path,s)               % add NLIB user folder to path
    s = sprintf ('cd %c:\\book3\\nlib\\user_mat',drive);
    eval(s)                   % change to user folder
    fprintf ('NLIB has been added to Matlab path using drive %c.\n',...
              drive); 
 
   
   
