function chkfun (y,k,g)
%----------------------------------------------------------------
% Usage:       chkfun (y,k,g)
%
% Description: check y = f(t,x) to see that it returns a column
%              vector.
%
% Inputs:      y = output of function f(t,x) in calling program
%                  that is supposed to be a column vector
%              k = argument number of function f
%              g = string containing name of function that has
%                  f as a calling argument.
%----------------------------------------------------------------
   n = size(y,2);
   if n ~= 1
      t = sprintf ('Error in calling %s',g);
      w = sprintf ('The function in argument %g\n must return a column vector.',k);
      herrf = errordlg (w,t);
      wait
      close(herrf)
   end
%----------------------------------------------------------------


