%----------------------------------------------------------------------
% Usage:       nlibpath
% Description: This command adds the NLIB toolbox to the Matlab path.
%----------------------------------------------------------------------

% Select drive containing NLIB

    clear
    clc
    drivelist = {'A','B','C','D','E','F','G','H','I','J','K','L','M'};
    drivenum = 3;
    drivenum  = listdlg('PromptString',...
                        'Select NLIB drive letter',...
                        'SelectionMode','single',...
                        'ListString',drivelist,...
                        'InitialValue',drivenum);

% Update path

    drive = char(abs('A') + drivenum-1);
    s = sprintf ('%c:\\nlib\\toolbox',drive);
    path(path,s)               % add NLIB toolbox to path
    s = sprintf ('%c:\\nlib\\exam_mat',drive);
    path(path,s)               % add NLIB examples to path
    s = sprintf ('%c:\\nlib\\prob_mat',drive);
    path(path,s)               % add NLIB problems to path
    s = sprintf ('%c:\\nlib\\user_mat',drive);
    path(path,s)               % add NLIB user folder to path
 
