function userdel  
%----------------------------------------------------------------
% Usage:       userdel 
%
% Description: Remove a script from the list of user scripts
%              in browse_u.m
%----------------------------------------------------------------

   browse_u
   userpath = which ('browse_u');
   cmax = 70;
   [m,n] = size(nlib_user);
   t = nlib_user;
   if m == 0
      return;
   end
   [s,ok] = listdlg ('PromptString','Select a script',...
                     'SelectionMode','single',...
                     'ListString',t);
   if ok
      t(s,:) = [];
      f = fopen (userpath,'wt');
      fprintf (f,'nlib_user = [...');
      for i = 1 : m-1
         fprintf (f,'\n''%s''',t(i,:));
      end
      if m > 1
         fprintf (f,'];\n');
      else
         fprintf (f,'\n];\n');
      end
      fclose(f);
   end
